loci.formats.in

## Class OMETiffReader.OMETiffCoreMetadata

- java.lang.Object
- - loci.formats.CoreMetadata
  - - loci.formats.in.OMETiffReader.OMETiffCoreMetadata

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    OMETiffReader

      private class OMETiffReader.OMETiffCoreMetadata
      extends CoreMetadata

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `subresolutionOffset` SubIFD offset for sub-resolution level; -1 if the main IFD.
    `(package private) int` | `tileHeight` Tile size Y.
    `(package private) int` | `tileWidth` Tile size X.

    - ### Fields inherited from class loci.formats.CoreMetadata

      `bitsPerPixel, dimensionOrder, falseColor, imageCount, indexed, interleaved, littleEndian, metadataComplete, moduloC, moduloT, moduloZ, orderCertain, pixelType, resolutionCount, rgb, seriesMetadata, sizeC, sizeT, sizeX, sizeY, sizeZ, thumbnail, thumbSizeX, thumbSizeY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OMETiffCoreMetadata()`
    `OMETiffCoreMetadata(CoreMetadata copy)`
    `OMETiffCoreMetadata(OMETiffReader.OMETiffCoreMetadata copy)`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.CoreMetadata

      `clone, clone, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### subresolutionOffset

          int subresolutionOffset

      SubIFD offset for sub-resolution level; -1 if the main IFD.

    - #### tileWidth

          int tileWidth

      Tile size X.

    - #### tileHeight

          int tileHeight

      Tile size Y.

  - ### Constructor Detail

    - #### OMETiffCoreMetadata

          OMETiffCoreMetadata()

    - #### OMETiffCoreMetadata

          OMETiffCoreMetadata(OMETiffReader.OMETiffCoreMetadata copy)

    - #### OMETiffCoreMetadata

          OMETiffCoreMetadata(CoreMetadata copy)

Copyright © 2026 Open Microscopy Environment